Read Patient
Read a FHIR R6 Patient resource by logical ID.
Endpoint
GET /api/fhir/r6-ballot4/Patient/{rid}
Base URL: https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r6-ballot4
Example request: GET /api/fhir/r6-ballot4/Patient/00000000-0000-4000-8000-000000000001
Example URL: https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r6-ballot4/Patient/00000000-0000-4000-8000-000000000001
The examples use illustrative identifiers and values.
Headers
{"Accept":"application/fhir+json","Authorization":"Bearer [REDACTED]"}
Parameters
| Parameter | In | Required | Type | Description |
|---|---|---|---|---|
rid |
path | true | uuid | Logical id of the Patient resource. Use the logical id of the resource. |
Authorization
The supported authorization model uses OAuth 2.0 scopes issued by OCI Identity Domains. Send the access token as a bearer token. Resource-server definitions and issued access-token claims use canonical system/... scopes. Client grants and token requests use the corresponding ddfssystem/... form. For examples, see Reference: Authentication and Scopes.
| Context | Scope form |
|---|---|
| Resource-server definition | system/Patient.r |
| Client grant/token request | ddfssystem/Patient.r |
Issued token's scope claim |
system/Patient.r |
Example Response
{
"resourceType": "Patient",
"id": "00000000-0000-4000-8000-000000000001",
"meta": {
"versionId": "1",
"lastUpdated": "2025-01-01T00:00:00Z",
"profile": [],
"security": [],
"tag": [
{
"system": "https://example.com/fhir/tag",
"code": "example-resource",
"display": "Example resource"
}
]
},
"identifier": [
{
"system": "https://example.com/fhir/identifier/Patient",
"value": "example-resource"
}
],
"active": true,
"name": [
{
"family": "Example",
"given": [
"Patient"
],
"prefix": [],
"suffix": []
}
],
"gender": "unknown",
"birthDate": "2020-01-01",
"address": [
{
"line": [],
"city": "Austin",
"state": "TX",
"postalCode": "78701"
}
]
}
Behavior
Reads a Patient resource by logical id.
cURL Example
curl.exe `
-sS `
-X GET `
https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r6-ballot4/Patient/00000000-0000-4000-8000-000000000001 `
-H 'Accept: application/fhir+json' `
-H 'Authorization: Bearer [REDACTED]'
Status Codes
| Code | Status |
|---|---|
| 200 | Patient representation. |
FHIR Definition
Canonical: https://hl7.org/fhir/6.0.0-ballot4/patient.html